pymatgen.core package
=====================

.. automodule:: pymatgen.core
   :members:
   :undoc-members:
   :show-inheritance:

Submodules
----------

pymatgen.core.bonds module
--------------------------

.. automodule:: pymatgen.core.bonds
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.composition module
--------------------------------

.. automodule:: pymatgen.core.composition
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.interface module
------------------------------

.. automodule:: pymatgen.core.interface
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.ion module
------------------------

.. automodule:: pymatgen.core.ion
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.lattice module
----------------------------

.. automodule:: pymatgen.core.lattice
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.libxcfunc module
------------------------------

.. automodule:: pymatgen.core.libxcfunc
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.molecular\_orbitals module
----------------------------------------

.. automodule:: pymatgen.core.molecular_orbitals
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.operations module
-------------------------------

.. automodule:: pymatgen.core.operations
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.periodic\_table module
------------------------------------

.. automodule:: pymatgen.core.periodic_table
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.sites module
--------------------------

.. automodule:: pymatgen.core.sites
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.spectrum module
-----------------------------

.. automodule:: pymatgen.core.spectrum
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.structure module
------------------------------

.. automodule:: pymatgen.core.structure
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.surface module
----------------------------

.. automodule:: pymatgen.core.surface
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.tensors module
----------------------------

.. automodule:: pymatgen.core.tensors
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.trajectory module
-------------------------------

.. automodule:: pymatgen.core.trajectory
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.units module
--------------------------

.. automodule:: pymatgen.core.units
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.core.xcfunc module
---------------------------

.. automodule:: pymatgen.core.xcfunc
   :members:
   :undoc-members:
   :show-inheritance:
